Bug 865008 - HA broker may not close replicating link upon promotion to primary
HA broker may not close replicating link upon promotion to primary
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Alan Conway
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 11:37 EDT by Jason Dillaman
Modified: 2013-07-10 09:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-15 16:28:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Dillaman 2012-10-10 11:37:17 EDT
Description of problem:
An HA broker may not close its replicating link after being promoted to primary.  This results in the primary broker attempting to replicate QMF events to itself.

Version-Release number of selected component (if applicable):
0.18-mrg

How reproducible:
Frequently

Steps to Reproduce:
1. Start a single HA broker as backup
2. Promote to primary
  
Actual results:

qpid-queue-stats:

qpid.bridge_queue_qpid.broker-replicator.bridge.2b4bc6db-c661-4f32-93f9-2fa6028fc788_16258a10-b945-44bf-95d2-9db12ea9fff0     40.00          3         0.18         0.10

qmf-tool:

qmf: query bridge
Data Objects Returned: 4:
    Number  Data Address
    ========================================================================================================================================================================================
    1       org.apache.qpid.broker:bridge:org.apache.qpid.broker:link:qpid.ha.link.132dc2a3-adb1-4724-a3de-af5d2138ec03,qpid.broker-replicator.bridge.fc2e62c3-16fd-4dd6-acfd-0eacd8793c49
    2       org.apache.qpid.broker:bridge:org.apache.qpid.broker:link:qpid.tcp:10.3.100.101:9001,tcp:10.3.100.101:9001!Bridge.IB.External!Interchange.External.Ex
    3       org.apache.qpid.broker:bridge:org.apache.qpid.broker:link:qpid.tcp:10.3.100.101:9001,tcp:10.3.100.101:9001!Bridge.IB.Internal!Application.Ex
    4       org.apache.qpid.broker:bridge:org.apache.qpid.broker:link:qpid.tcp:10.3.100.103:9003,tcp:10.3.100.103:9003!Bridge.b.RRAA!Interchange.External.Ex

qmf: query link
Data Objects Returned: 3:
    Number  Data Address
    =======================================================================================
    8       org.apache.qpid.broker:link:qpid.ha.link.132dc2a3-adb1-4724-a3de-af5d2138ec03
    9       org.apache.qpid.broker:link:qpid.tcp:10.3.100.101:9001
    10      org.apache.qpid.broker:link:qpid.tcp:10.3.100.103:9003

Expected results:

Primary broker does not have a replicating link / bridge
Comment 1 Justin Ross 2012-10-31 13:17:06 EDT
Jason, what's your sense of priority for this one?  It doesn't appear to be a test blocker.
Comment 2 Jason Dillaman 2012-10-31 14:45:23 EDT
Justin, agree that this is not a blocker.
(In reply to comment #1)
> Jason, what's your sense of priority for this one?  It doesn't appear to be
> a test blocker.
Comment 3 Alan Conway 2012-11-01 17:29:53 EDT
Do you have a reproducer that shows the primary replicating to itself? I do see that the route is left lying around but it appears to be inactive and harmless.
Comment 4 Jason Dillaman 2012-11-01 17:43:12 EDT
Sorry, I don't have a reproducer.  This was just something I noticed while investigating other issues.  My eyes were drawn to 'qpid.bridge_queue_qpid.broker-replicator.bridge' on the primary broker receiving messages during a run of 'qpid-queue-stats'.  If I see it again, I'll try to capture more data.
Comment 5 Alan Conway 2012-11-02 12:28:10 EDT
It's normal to have a bridge queue on the primary. Each backup creates a bridge queue bound to the management exchange and subscribes to it for management events.
Comment 6 Alan Conway 2013-01-15 16:28:09 EST
Cannot reproduce this on the current 0.18-mrg branch, probably fixed as side effect of other fixes. Closing.

Note You need to log in before you can comment on or make changes to this bug.